STG-LOG(1)

NAME
stg-log - Display or optionally clear the stack changelog

SYNOPSIS

stg log [OPTIONS] [--] [patch]...
stg log --clear

DESCRIPTION

Show the history of changes to the stack. If one or more patch names are given, only the changes affecting those patches are shown.

The stg-undo(1) and stg-redo(1) commands may be used to step back and forth through historical stack states. The stg-reset(1) command may be used to reset the stack directly to a historic state.

The --clear option may be used to delete the stack’s change history. Undo and redo are unavailable on a stack without change history. Clearing the stack state history cannot be undone.

OPTIONS

-b <branch>, --branch=<branch>
    Use <branch> instead of current branch

-d, --diff
    Show stack state diffs

-n <n>, --number=<n>
    Limit output to <n> commits

-f, --full
    Show using full commit log format

-g, --graphical
    Run gitk instead of printing to stdout

--clear
    Clear the stack history

STGIT

Part of the StGit suite - see stg(1)